{% extends 'base.html.twig' %}

{% block stylesheets %}
    <link href="{{ asset('/css/chart.css') }}" rel="stylesheet">
    {{ parent() }}
{% endblock %}

{% block title %}Financial Balance Chart{% endblock %}

{% block body %}

    {% set route = 'app_chart' %}

    {% include 'parts/header.html.twig' with {'selected_item': 'chart'} %}

    <div class="content overflow">
        <div class="title center-align">
            <h1>Money Charts</h1>
        </div>
        <div class="chart-wrapper">
            <div class="chart-bar">
                <div style="margin: 1em;">
                    {% include 'parts/select.html.twig' with {
                        'route': route,
                        'select_name': 'month',
                        'selected_value': filters.month,
                        'items': months,
                        'item_type': 'object',
                        'label': 'Month'
                    } | merge(filters) %}
                </div>
                <div style="margin: 1em;">
                    {% include 'parts/select.html.twig' with {
                        'route': route,
                        'select_name': 'year',
                        'selected_value': filters.year,
                        'items': years,
                        'item_type': 'value',
                        'label': 'Year'
                    } | merge(filters) %}
                </div>
                <div>&nbsp;</div>
            </div>
            <div>
                {{ render_chart(chart_bar, {'class': 'chart'}) }}
            </div>
            <div style="margin: 3em 0;">
                {{ render_chart(chart_line, {'class': 'chart'}) }}
            </div>
        </div>
    </div>

    {% include 'parts/footer.html.twig' %}

{% endblock %}
